import { Component, OnInit } from '@angular/core';
import { ItemService } from 'src/app/services/item.service';
import { Router } from '@angular/router';
import { AngularFirestore, AngularFirestoreCollection, AngularFirestoreDocument } from '@angular/fire/firestore';
import { Observable } from 'rxjs';


@Component({
  selector: 'app-add-item-test',
  templateUrl: './add-item-test.component.html',
  styleUrls: ['./add-item-test.component.sass']
})
export class AddItemTestComponent implements OnInit {


 // 1 On fait reference a une collection (qui est une liste de documents) pour stocker ensuite le valeurs dedans
 itemsCollection: AngularFirestoreCollection<any>;

  item : any = {
    name: '',
    email: '',
    test: '',
    events: [
      {
        name: 'work'
      },
      {
        name: 'work2'
      },
      
    ],
  }


  options = [
    {
      value: 1,
      name: 'option 1'
    },
    {
      value: 2,
      name: 'option 2'
    },
  ]

  

  constructor(
    private itemService: ItemService, 
    private router: Router,
    public afs: AngularFirestore
    ) {
      
     }

  ngOnInit() {
    console.log(this.item.events)

    //this.item.test = "un TEST"

    // this.item.options = [
    //   {
    //     value: 1,
    //     name: 'option 1'
    //   },
    //   {
    //     value: 2,
    //     name: 'option 2'
    //   },
    // ]

    //console.log(this.item.options)
  }

  onSubmit(item) {
    // this.itemService.createItem(this.item);
    
    this.afs
            .collection("contacts")
            .add(item)  
  
    
    //this.router.navigate(['/item-listing']) // On redirige vers item-listing
  }
}
