import { Component, OnInit } from '@angular/core';
import { AuthenticationService } from 'src/app/services/authentication.service';
import { User } from 'src/app/models/user'


@Component({
  selector: 'app-user-dashboard',
  templateUrl: './user-dashboard.component.html',
  styleUrls: ['./user-dashboard.component.sass']
})
export class UserDashboardComponent implements OnInit {

  user: User;
  
  // AFFICHAGE OU DESAFFICHAGE EDIT USER FORM
  editUserDisplay: boolean = false;

  constructor(private authenticationService: AuthenticationService) { }

  ngOnInit() {
    

    // On récupère les datas de l'utilisateur connecté
    this.user = this.authenticationService.user
    this.editUserDisplay = this.user.profileComplete
    

  }

  


}
